Tuesday, August 25, 2009

Application Express 3.2.1 patch set applied to apex.oracle.com

This past weekend, the forthcoming Application Express 3.2.1 patch set was applied to apex.oracle.com (and apex.oraclecorp.com, if you're an Oracle employee and user of the internal instance). The APEX 3.2.1 Patch Set Note lists the bugs fixed in this patch set.

In addition to the bugs fixed in this patch set, a few interesting points:

  1. The online help (the popup window of the brows-able documentation) is available in Japanese.
  2. AnyChart AnyGantt Flash Gantt and AnyChart AnyMap files are included in this patch set. Even though these aren't directly integrated into the Application Express declarative environment, they are included in the license of Application Express and available for your use within an Application Express application.
  3. An updated version of FCKEditor is included, fixing a number of bugs. However, one user has already reported a change in behavior, with the default behavior of the Enter key resulting in a '<p>' versus the previous '<br />'.
  4. This version of Application Express, 3.2.1.00.10, is the identical version that will be bundled with Oracle Database 11gR2.

For those customers running Oracle Database 11gR1 11.1.0.7, you'll need to pay special attention to the note about applying the APEX 3.2.1 patch set.

As with all past Application Express patch sets, the Application Express 3.2.1 patch set will be available for download on Oracle MetaLink. The full distribution of APEX 3.2.1 will be available for download on OTN. These should be available within one day.

4 comments:

Michael A. Rife said...

Which version of Anychart is it?

Joel R. Kallman said...

Mike - the base charts (not Gantt and not Maps) is still the AnyChart 3.x series. We'll be upgrading the chart regions to AnyChart 5.2 with APEX 4.0.

Oryx said...

Do I need paid membership to create an account in metalink to be able to download apex 3.2.1 patchset?

I'm using apex 3.2 with oracle xe and how I can upgrade to 3.2.1?

Joel R. Kallman said...

@Oryx,

Yes - you would need to be a support customer to access Oracle MetaLink and download the APEX 3.2.1 patch set.

Joel